import { IOperations, IOperationsBuilder, IOperationsBuilderBuildParams } from "./types";
import { ICompressor } from "@webiny/utils/compression/Compressor";
export interface IOperationsBuilderParams {
    compressor: ICompressor;
}
export declare class OperationsBuilder implements IOperationsBuilder {
    private readonly compressor;
    constructor(params: IOperationsBuilderParams);
    build(params: IOperationsBuilderBuildParams): Promise<IOperations>;
}
